:root {
    --primary-color: #0d6efd;
    --sidebar-bg: #212529;
    --sidebar-color: #f8f9fa;
    --sidebar-hover-bg: #343a40;
    --sidebar-active-bg: #495057;
    --main-bg: #f8f9fa;
}

body {
    background-color: var(--main-bg);
    overflow-x: hidden;
}

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

#sidebar {
    min-width: 250px;
    max-width: 250px;
    background: var(--sidebar-bg);
    color: var(--sidebar-color);
    transition: all 0.3s;
}

#sidebar.collapsed {
    margin-left: -250px;
}

.sidebar-header {
    padding: 20px;
    background: #343a40;
    text-align: center;
}

#sidebar ul.components {
    padding: 20px 0;
    border-bottom: 1px solid #47748b;
}

#sidebar ul p {
    color: var(--sidebar-color);
    padding: 10px;
}

#sidebar ul li a {
    padding: 10px 20px;
    font-size: 1.1em;
    display: block;
    color: var(--sidebar-color);
    text-decoration: none;
    transition: all 0.2s;
}

#sidebar ul li a:hover {
    background: var(--sidebar-hover-bg);
}

#sidebar ul li.active > a, a[aria-expanded="true"] {
    background: var(--sidebar-active-bg);
}

a[data-bs-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

#sidebar.collapsed .sidebar-header,
#sidebar.collapsed ul p,
#sidebar.collapsed .dropdown-toggle::after {
    display: none;
}

#sidebar.collapsed ul li a {
    padding: 15px 10px;
    text-align: center;
    font-size: 0.85em;
}

#sidebar.collapsed ul li a i {
    margin-right: 0;
    display: block;
    font-size: 1.8em;
    margin-bottom: 5px;
}

#sidebar.collapsed ul ul a {
    padding: 10px !important;
}

#sidebar.collapsed .nav-link-text {
    display: none;
}

#content {
    width: 100%;
    padding: 20px;
    min-height: 100vh;
    transition: all 0.3s;
    display: flex;
    flex-direction: column;
}

main {
    flex-grow: 1;
}

.navbar {
    padding: 15px 10px;
    background: #fff;
    border: none;
    border-radius: 0;
    margin-bottom: 40px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.order-card {
    color: #fff;
}

.bg-c-blue {
    background: linear-gradient(45deg,#4099ff,#73b4ff);
}

.bg-c-green {
    background: linear-gradient(45deg,#2ed8b6,#59e0c5);
}

.bg-c-yellow {
    background: linear-gradient(45deg,#FFB64D,#ffcb80);
}

.bg-c-pink {
    background: linear-gradient(45deg,#FF5370,#ff869a);
}

.card {
    border-radius: 5px;
    -webkit-box-shadow: 0 1px 2.94px 0.06px rgba(4,26,55,0.16);
    box-shadow: 0 1px 2.94px 0.06px rgba(4,26,55,0.16);
    border: none;
    margin-bottom: 30px;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.card .card-block {
    padding: 25px;
}

.order-card i {
    font-size: 26px;
}

.f-left {
    float: left;
}

.f-right {
    float: right;
}
